unit uMain;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, DPF.iOS.BaseControl,
  DPF.iOS.UIButton, DPF.iOS.UIView, DPF.iOS.UIImageView;

type
  TForm3 = class( TForm )
    DPFButton1: TDPFButton;
    DPFButton2: TDPFButton;
    DPFButton3: TDPFButton;
    DPFButton4: TDPFButton;
    DPFButton5: TDPFButton;
    DPFButton6: TDPFButton;
    DPFUIView1: TDPFUIView;
    DPFButton7: TDPFButton;
    procedure DPFButton1Click( Sender: TObject );
  private
    { Private declarations }
  protected
    procedure PaintRects( const UpdateRects: array of TRectF ); override;
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

{$R *.fmx}
{ TForm3 }

procedure TForm3.DPFButton1Click( Sender: TObject );
begin
  if DPFButton1.Tag = 0 then
  begin
    DPFButton1.SetAnimationTransition( DPFButton1.Position.X, DPFButton1.Position.X + 60, DPFButton1.Position.Y, DPFButton1.Position.Y, DPFButton1.Width, DPFButton1.Width, DPFButton1.Height, DPFButton1.Height, 0.5 );
    DPFButton1.Tag := 1;
  end
  else
  begin
    DPFButton1.SetAnimationTransition( DPFButton1.Position.X, DPFButton1.Position.X - 60, DPFButton1.Position.Y, DPFButton1.Position.Y, DPFButton1.Width, DPFButton1.Width, DPFButton1.Height, DPFButton1.Height, 0.5 );
    DPFButton1.Tag := 0;
  end;
end;

procedure TForm3.PaintRects( const UpdateRects: array of TRectF );
begin
  { }
end;

end.
